% Internal dose calculations for Becci et al. (1982) inhalation study
% Exposure levels (CONCMGS) are those used by Saillenfait plus an external dose BMCL
% Paul Schlosser, U.S.EPA, Aug. 28, 2013
% NOAEL= 237mg/kg/day  based on a developmental study dermally exposing rats to
% NMP for 8-hrs, GD 6 to 15 (Becci et al, 1982).
% Simplified code with for loops Chris Brinkerhoff Aug 6, 2014

use ratparam
use preg_rat_params
GDDAYS=6.01; CINT=0.01; TSTART = 0; TSTOP=24;
BWINIT=0.263; TWASH=8; DOSEINTERVAL=24; SA=25;VLIQ=1e55
prepare @clear@all

DSKS=[75 237 750];  % 
DSKS=402
lastday = 14;
res = []; DAILYAUC=[]; AUCTOT=[];

for j = 1:length(DSKS)
	DSK = DSKS(j)
	for i = 1:lastday
		TSTOP=TSTART+i*24
		start @nocallback
		AUCTOT((j-1)*lastday+i) = AUCBB;
		if i == 1
			DAILYAUC((j-1)*lastday+i) = AUCBB;
		else
			DAILYAUC((j-1)*lastday+i) = AUCBB - AUCTOT((j-1)*lastday+i-1);
		end
		res(:,(j-1)*lastday+i) = [DSK; i; max(_cv); DAILYAUC((j-1)*lastday+i)];
	end
end

%save res @file='Becci_1982_dermal_results_2nd_time.csv' @format=ascii @separator=comma