use ratparam
prepare @clear@all T CV AUHP

GO50M=[0.017	2.212;
0.05	4.653;
0.08	15.267;
0.5	11.097;
1	29.789;
2	15.840;
4	13.644;
8	5.875;
12	2.441];

%(T,CV,AUHP)
GO50F =[0.25	20.600	NaN;
0.50	28.793	NaN;	
1.00	38.044	NaN;	
1.50	21.393	NaN;	
2.00	31.028	NaN;	
4.00	20.942	NaN;	
6.00	12.005	NaN;	
8.00	5.178	NaN;	
12.00	NaN	4.46;	
24.00	NaN	6.54;
36.00	NaN	6.71;	
48.00	NaN	6.83;	
72.00	NaN	6.92;	
96.00	NaN	6.97;	
120.00	NaN	7.00];

%(T,CV)
MIDG =[0.25 45.2 NaN;
0.5	56.25	NaN;	
2	65.00	NaN;	
3.5	58.00	NaN;	
6	46	1.66;	
8	33.00	NaN;
12 6.1  NaN;
24	NaN	8.40;
72	NaN	8.70;
120	NaN	8.82];

%MIDGLEY ET AL, 1992qs
   BWINIT=0.216; DOSE=112; TSTOP=124; DOSEINTERVAL=148; CINT=0.1;
   start @nocallback
   ares=[_auhp]; cres=[_cv];

%Ghantous -males
	BWINIT=0.262; DOSE=50; start @nocallback
  cres=[cres _cv]; t1=_t;

%Ghantous - femal
preg_rat_params
GDDAYS=0; CINT=0.1;TSTOP=124;BWINIT=0.221; DOSE=50*0.955; start @nocallback
ares=[ares _auhp]; 
%note, dose is as reported, minus "feed residue", which was 4.5% of dose
%for the females. Also, while methods to measure dosing solution NMP are 
%described, no value is given so the target is assumed and this is based 
%on mass 



plot(t1,ares, MIDG(:,1),MIDG(:,3),GO50F(:,1), GO50F(:,3),'figGHANTorAUHP.aps')
plot(t1,cres(:,1), MIDG(:,1),MIDG(:,2),t1,cres(:,2), GO50M(:,1),GO50M(:,2),_t,_cv,GO50F(:,1),GO50F(:,2),'figGHANTorCV.aps')